This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294624 - (v0.5) Lago uses 4vCPUs by default - which is too much on lower end hosts
(v0.5) Lago uses 4vCPUs by default - which is too much on lower end hosts
Status: CLOSED UPSTREAM
Product: ovirt-system-tests
Classification: Community
Component: RFEs (Show other bugs)
0.4
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Caro
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 05:30 EST by Yaniv Kaul
Modified: 2016-04-21 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 05:22:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52536 None None None 2016-01-21 05:49 EST

  None (edit)
Description Yaniv Kaul 2015-12-29 05:30:34 EST
Description of problem:
There's no value in running the hosts, the storage with 4 vCPUs. Especially on my low end hosts, it may cause CPU contention.

Version-Release number of selected component (if applicable):
0.5


Additional info:
Change /usr/lib/ptrhon2.7/site-packages/lago/virt.py :
 682             '@VCPU@': self._spec.get('vcpu', 4),
 683             '@CPU@': self._spec.get('cpu', 4),

to:
 682             '@VCPU@': self._spec.get('vcpu', 2),
 683             '@CPU@': self._spec.get('cpu', 2),



Should fix that.
Comment 1 Yaniv Kaul 2016-01-21 05:49:36 EST
https://gerrit.ovirt.org/#/c/52536/ implements this little change.
Comment 2 Eyal Edri 2016-01-21 07:47:22 EST
moved to: https://github.com/lago-project/lago/issues/5

Note You need to log in before you can comment on or make changes to this bug.